<?php
/**
 * The template for displaying the header
 *
 * Displays all of the head element and everything up until the "site-content" div.
 *
 * @package WordPress
 * @subpackage SSP_Starter
 * @since SSP Starter 1.0
 
 * Prohibit direct script loading
------------------------------------------------------------ */
defined( 'ABSPATH' ) || die( );

$template = basename( get_page_template( ));

global $config;

?><!DOCTYPE html>
<html <?php language_attributes( ); ?> class="no-js">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title><?php wp_title(''); ?></title>
	<?php if ( file_exists( get_stylesheet_directory( ) . '/images/apple-touch-icon.png' )) : ?>
		<link rel="apple-touch-icon" type="image/png" href="<?php echo get_stylesheet_directory_uri( ); ?>/images/apple-touch-icon.png">
	<?php endif; ?>
	<?php if ( file_exists( get_stylesheet_directory( ) . '/images/favicons.png' )) : ?>
		<link rel="icon" type="image/png" href="<?php echo get_stylesheet_directory_uri( ); ?>/images/favicons.png" >
	<?php endif; ?>
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<?php if ( is_singular( ) && pings_open( get_queried_object( ))) : ?>
		<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php endif; ?>
	<link rel="stylesheet" href="<?php echo get_template_directory_uri( ); ?>/css/printability.css?ver=1" type="text/css" media="print" />
	<!--[if lt IE 9]>
	<script src="<?php echo esc_url( get_template_directory_uri( )); ?>/js/html5.js"></script>
	<![endif]-->
	<script>(function(){document.documentElement.className='js'})();</script>
	<?php wp_head( ); ?>
  <!-- Google +1 Button -->
  <script src="https://apis.google.com/js/platform.js" async defer></script>  
</head>
<?php 

	$class = '';
	if ( is_front_page( )) {
		$class = 'front-page';
	} elseif ( is_home( )) {
		$class = 'home-page';
	} elseif ( is_page( )) {
		$class = 'inside-page';
	} elseif ( is_single( )) {
		$class = 'inside-post';
	}
	
?>	
<body <?php body_class( $class ); ?>>
	<!-- FB Like Button -->
  <div id="fb-root"></div>
  <script>(function(d, s, id) {
    var js, fjs = d.getElementsByTagName(s)[0];
    if (d.getElementById(id)) return;
    js = d.createElement(s); js.id = id;
    js.src = "//connect.facebook.net/en_US/sdk.js#xfbml=1&version=v2.5";
    fjs.parentNode.insertBefore(js, fjs);
  }(document, 'script', 'facebook-jssdk'));</script>  
	<div id="page" class="site">
		<header class="site-header">
			<div class="site-branding">
				<div class="container">
					<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('Header') ) : else :  endif;  ?>
					<div class="clear"></div>
				</div>
			</div>
			<div class="clear"></div>
			<div class="header-menu">
				<div class="container">
					<div class="header-location"><?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('Header : Bottom Bar') ) : else :  endif;  ?></div>
					<div class="site-navigation">
						<?php 
						  wp_nav_menu( array(
							'theme_location' => 'primary',
							'fallback_cb'    => 'theme_menu_callback',
							'link_before'    => '',
							'link_after'     => '',
						  ));
						?>
					</div><!-- .site-navigation -->
				</div><!-- .container -->
			</div>
		</header><!-- .site-header -->

		<div id="content" class="site-content">
    	<?php if ( ! is_front_page( ) && $template != 'contact.php' ) : ?>
        <div class="container">
          <div class="row">
			<?php endif; ?>		