<?php 
/**
Template Page for the gallery overview

Follow variables are useable :

	$gallery     : Contain all about the gallery
	$images      : Contain all images, path, title
	$pagination  : Contain the pagination content

 You can check the content when you insert the tag <?php var_dump($variable) ?>
 If you would like to show the timestamp of the image ,you can use <?php echo $exif['created_timestamp'] ?>
**/

if ( ! defined ( 'ABSPATH' )) die ('No direct access allowed');

if ( ! empty ( $gallery )) : ?>

<div id="nggpowertags">
	<div class="nggpowertags-menu portfolioFilter">
		<a href="<?php echo get_the_permalink( ); ?>" data-filter="*" class="current"> All </a>
  	<?php
    	$tags = array( );
			foreach ( $images as $image ) {
				$terms = wp_get_object_terms( $image->pid , 'ngg_tag' );
				foreach( $terms AS $term ) {
					if ( ! isset( $tags[ $term->slug ])) {
						$tags[ $term->slug ] = $term->name;
					}
				}
			}
		?>
    <?php foreach( $tags AS $key => $tag ) : ?>
			<a href="<?php echo add_query_arg( 'tag' , $key , get_the_permalink( )); ?>" data-filter=".<?php echo $key; ?>"> <?php echo $tag; ?> </a>
    <?php endforeach; ?>

  </div>
  <div class="ngg-galleryoverview portfolioContainer" id="<?php echo $gallery->anchor ?>">  
    <!-- Thumbnails -->
		<?php $i = 0; ?>
    <?php foreach ( $images AS $image ) : ?>
      <?php $class = 'ngg-gallery-thumbnail-box'; ?>
    	<?php $terms = wp_get_object_terms( $image->pid , 'ngg_tag' ); ?>
      <?php foreach( $terms AS $term ) $class .= ' ' . $term->slug; ?>

    	<div id="ngg-image-<?php echo $image->pid; ?>" class="<?php echo $class; ?>" <?php echo $image->style; ?> >
      	<div class="ngg-gallery-thumbnail" >
        	<a href="<?php echo nextgen_esc_url($image->imageURL) ?>" title="<?php echo esc_attr($image->description) ?>" <?php echo $image->thumbcode; ?>>
          <?php if ( ! $image->hidden ) : ?>
          	<img title="<?php echo esc_attr( $image->alttext ); ?>" alt="<?php echo esc_attr( $image->alttext ); ?>" src="<?php echo nextgen_esc_url( $image->thumbnailURL ); ?>" <?php echo $image->size; ?> />
          <?php endif; ?>
        </a>
        </div>
      </div>
  
      <?php if ( $image->hidden ) continue; ?>
      <?php if ( $gallery->columns > 0 ) : ?>
				<?php if ((( $i + 1 ) % $gallery->columns ) == 0 ) : ?>
          <br style="clear:both;" />
				<?php endif; ?>
      <?php endif; ?>
      <?php $i++; ?>
    <?php endforeach; ?>
    
  </div>
</div>

<?php endif;