<?php
/**
 * The template used for displaying page content
 *
 * Prohibit direct script loading
 ------------------------------------------------------------ */
 defined( 'ABSPATH' ) || die( );

?>

<article id="post-<?php the_ID( ); ?>" <?php post_class( 'page-content' ); ?>>
	<div class="entry-content">
       
    <div class="home-content">
    	<div class="container">
      	<div class="section-content wow fadeIn animated">
					<?php $title = ( function_exists( 'get_field' ) && get_field( 'post-title' )) ? get_field( 'post-title' ) : get_the_title( ); ?>
          <h1 class="entry-title">
            <?php echo $title; ?>
          </h1>
					
					<?php if (  function_exists( 'get_field' ) && get_field( 'post-video-slider' )) : ?>
          <div class="post-video-slider">
            <?php echo do_shortcode( get_field( 'post-video-slider' )); ?>
          </div>
          <?php elseif ( has_post_thumbnail( )) : ?>
          <div class="post-thumbnail">
            <?php the_post_thumbnail( 'full' , array( 'alt' => $title )); ?> 
          </div>
          <?php endif; ?>  
<?php if ( function_exists( 'get_field' ) && get_field( 'post-tagline' )) : ?>
          <h2 class="entry-tagline">
            <?php echo get_field( 'post-tagline' ); ?>
          </h2>
          <?php endif; ?>		  
          <?php the_content( ); ?> 
        </div>
      </div>
    </div><!-- .home-content -->
	<div class="new-what-we-do">
  	<div class="container">
  		<h1 class="section-title"><?php the_field('title_heading'); ?> </h1>
        <div class="row">
        	<div class="column four">
          	<div class="flip" data-trigger="hover">
            	<div class="front">
              	<img src="<?php echo wp_get_attachment_url( get_post_meta( get_the_ID( ) , 'service-1-image' , true )); ?>" alt="<?php echo get_post_meta( get_the_ID( ) , 'service-1-title' , true ); ?>" />
              </div><!-- .front -->
            	<div class="back">
              	<div class="table">
                	<div class="table-cell">
		              	<?php echo wpautop( do_shortcode( get_post_meta( get_the_ID( ) , 'content' , true ))); ?>
                  </div>
                </div>
              </div><!-- .back -->
            </div><!-- .flip -->
          </div><!-- .column -->
        	<div class="column four">
          	<div class="flip" data-trigger="hover">
            	<div class="front">
              	<img src="<?php echo wp_get_attachment_url( get_post_meta( get_the_ID( ) , 'service-2-image' , true )); ?>" alt="<?php echo get_post_meta( get_the_ID( ) , 'service-2-title' , true ); ?>" />
              </div><!-- .front -->
            	<div class="back">
              	<div class="table">
                	<div class="table-cell">
		              	<?php echo wpautop( do_shortcode( get_post_meta( get_the_ID( ) , 'content_2' , true ))); ?>
                  </div>
                </div>
              </div><!-- .back -->
            </div><!-- .flip -->
          </div><!-- .column -->
        	<div class="column four">
          	<div class="flip" data-trigger="hover">
            	<div class="front">
              	<img src="<?php echo wp_get_attachment_url( get_post_meta( get_the_ID( ) , 'service-3-image' , true )); ?>" alt="<?php echo get_post_meta( get_the_ID( ) , 'service-3-title' , true ); ?>" />
              </div><!-- .front -->
            	<div class="back">
              	<div class="table">
                	<div class="table-cell">
		              	<?php echo wpautop( do_shortcode( get_post_meta( get_the_ID( ) , 'content_3' , true ))); ?>
                  </div>
                </div>
              </div><!-- .back -->
            </div><!-- .flip -->          
          </div><!-- .column -->
        </div><!-- .row -->      
    </div>
  </div>  
  <div class="what-we-do">		
		<div class="parallax" style="background-image:url(<?php echo wp_get_attachment_url( get_post_meta( get_the_ID( ) , 'parallax' , true )); ?>);"></div>
		<div class="container">
			<div class="section-content wow fadeInLeft animated">
				<div class="row">
					<div class="column six">
            	<div class="service">
                <div class="image">
                	<img src="<?php echo get_field( 'service-1-image-two' ); ?>" alt="" />
                </div>
                <div class="link">
                	<a href="<?php bloginfo('url'); ?><?php echo get_field( 'service-1-link' ); ?>"> View <?php echo get_field( 'service-1-title' ); ?> Photos </a>
                </div>
              </div>
            </div><!-- .column -->
		<div class="column six">
	<div class="what-we-do-content">
	<?php echo wpautop( do_shortcode( get_post_meta( get_the_ID( ) , 'content' , true ))); ?>
	</div>
	</div><!-- .column -->
	</div>
	</div>
	</div>
	
	<div class="parallax" style="background-image:url(<?php echo wp_get_attachment_url( get_post_meta( get_the_ID( ) , 'parallax_2' , true )); ?>);">
	</div>
	<div class="container">
	<div class="section-content wow fadeInLeft animated">
	<div class="row">
	
	<div class="column six">
	<div class="what-we-do-content">
	<?php echo wpautop( do_shortcode( get_post_meta( get_the_ID( ) , 'content_2' , true ))); ?>
	</div>
	</div><!-- .column -->
	<div class="column six">
            	<div class="service">
                <div class="image">
                	<img src="<?php echo get_field( 'service-2-image-two' ); ?>" alt="" />
                </div>
                <div class="link">
                	<a href="<?php bloginfo('url'); ?><?php echo get_field( 'service-2-link' ); ?>"> View <?php echo get_field( 'service-2-title' ); ?> Photos </a>
                </div>
              </div>
            </div><!-- .column -->
	</div>
	</div>
	</div>
	
	<div class="parallax" style="background-image:url(<?php echo wp_get_attachment_url( get_post_meta( get_the_ID( ) , 'parallax_3' , true )); ?>);">
	</div>
	<div class="container">
	<div class="section-content wow fadeInLeft animated">
	<div class="row">
	<div class="column six">
            	<div class="service">
                <div class="image">
                	<img src="<?php echo get_field( 'service-3-image-two' ); ?>" alt="" />
                </div>
                <div class="link">
                	<a href="<?php bloginfo('url'); ?><?php echo get_field( 'service-3-link' ); ?>"> View <?php echo get_field( 'service-3-title' ); ?> Photos </a>
                </div>
              </div>
            </div><!-- .column -->
	<div class="column six">
	<div class="what-we-do-content">
	<?php echo wpautop( do_shortcode( get_post_meta( get_the_ID( ) , 'content_3' , true ))); ?>
	</div>
	</div><!-- .column -->
	</div>
	</div>
	</div>
	
    </div><!-- .what-we-do -->
		 
	</div><!-- .entry-content -->  
  
</article><!-- #post-## -->
