<?php
/**
 * The template used for displaying page content
 *
 * Prohibit direct script loading
 ------------------------------------------------------------ */
 defined( 'ABSPATH' ) || die( );

?>

<article id="post-<?php the_ID( ); ?>" <?php post_class( 'page-content' ); ?>>
  <header class="entry-header">
    <?php $title = ( function_exists( 'get_field' ) && get_field( 'post-title' )) ? get_field( 'post-title' ) : get_the_title( ); ?>
    <h1 class="entry-title">
			<?php echo $title; ?>
    </h1>
    <?php if ( function_exists( 'get_field' ) && get_field( 'post-tagline' )) : ?>
    <h2 class="entry-tagline">
			<?php echo get_field( 'post-tagline' ); ?>
    </h2>
    <?php endif; ?>
		<?php if (  function_exists( 'get_field' ) && get_field( 'post-video-slider' )) : ?>
    <div class="post-video-slider">
    	<?php echo do_shortcode( get_field( 'post-video-slider' )); ?>
    </div>
		<?php elseif ( has_post_thumbnail( )) : ?>
    <div class="post-thumbnail">
			<?php the_post_thumbnail( 'full' , array( 'alt' => $title )); ?> 
    </div>
    <?php endif; ?>
  </header>
	<div class="entry-content">
		<div class="entry">
			<?php the_content(); ?>
		</div>	
		<?php get_template_part( 'template-parts/content' , 'equipments' ); ?>
		<?php get_template_part( 'template-parts/content' , 'certificates' ); ?>
		<?php get_template_part( 'template-parts/content' , 'pools-spas' ); ?>
		<?php get_template_part( 'template-parts/content' , 'pool-construction-process' ); ?>
		<?php get_template_part( 'template-parts/content' , 'water-features' ); ?>
		<?php get_template_part( 'template-parts/content' , 'outdoor-living' ); ?>
		<?php get_template_part( 'template-parts/content' , 'modeloverview' ); ?>
	</div><!-- .entry-content -->
</article><!-- #post-## -->
