<?php
/**
 * The template for displaying the header
 *
 * Displays all of the head element and everything up until the "site-content" div.
 *
 * @package WordPress
 * @subpackage SSP_Starter
 * @since SSP Starter 1.0
 
 * Prohibit direct script loading
------------------------------------------------------------ */
defined( 'ABSPATH' ) || die( );

$template = basename( get_page_template( ));

global $config;

?><!DOCTYPE html>
<html <?php language_attributes( ); ?> class="no-js">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
  <title><?php wp_title(''); ?><?php if(wp_title('', false)) {} ?></title>
	<?php if ( file_exists( get_stylesheet_directory( ) . '/images/apple-touch-icon.png' )) : ?>
  <link rel="apple-touch-icon" type="image/png" href="<?php echo get_stylesheet_directory( ); ?>/images/apple-touch-icon.png">
  <?php endif; ?>
	<?php if ( file_exists( get_stylesheet_directory( ) . '/images/favicon.ico' )) : ?>
  <link rel="icon" type="image/png" href="<?php echo get_stylesheet_directory( ); ?>/images/favicon.ico" >
  <?php endif; ?>
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<?php if ( is_singular( ) && pings_open( get_queried_object( ))) : ?>
		<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php endif; ?>
	<!--[if lt IE 9]>
	<script src="<?php echo esc_url( get_template_directory_uri( )); ?>/js/html5.js"></script>
	<![endif]-->
	<script>(function(){document.documentElement.className='js'})();</script>
	<?php wp_head( ); ?>
  <!-- Google +1 Button -->
  <script src="https://apis.google.com/js/platform.js" async defer></script>  
</head>
<?php 

	$class = '';
	if ( is_front_page( )) {
		$class = 'front-page';
	} elseif ( is_home( )) {
		$class = 'home-page';
	} elseif ( is_page( )) {
		$class = 'inside-page';
	} elseif ( is_single( )) {
		$class = 'inside-post';
	}
	
?>	
<body <?php body_class( $class ); ?>>
	<!-- FB Like Button -->
  <div id="fb-root"></div>
  <script>(function(d, s, id) {
    var js, fjs = d.getElementsByTagName(s)[0];
    if (d.getElementById(id)) return;
    js = d.createElement(s); js.id = id;
    js.src = "//connect.facebook.net/en_US/sdk.js#xfbml=1&version=v2.5";
    fjs.parentNode.insertBefore(js, fjs);
  }(document, 'script', 'facebook-jssdk'));</script>  
	<div id="page" class="site">
		<header class="site-header">
			<?php if ( isset( $config->header->widgets )) : foreach( $config->header->widgets AS $class => $widgets ) : ?>
      	<div class="<?php echo $class; ?>">
        	<div class="container">
          	<?php if ( is_array( $widgets )) : ?>
							<?php if ( strpos( $class , 'columns-none' ) === false ) : ?>
                <div class="row">
              <?php endif; ?>
              <?php foreach( $widgets AS $key => $widget ) : ?>
                <?php if ( $key == 'navigation' ) : ?>
                  <div class="site-navigation">
                    <?php 
                      wp_nav_menu( array(
                        'theme_location' => 'primary',
                        'fallback_cb'    => 'theme_menu_callback',
                        'link_before'    => '',
                        'link_after'     => '',
                      ));
                    ?>
                  </div><!-- .site-navigation -->              
                <?php else : ?>              
                  <?php $column  = ( isset( $widget->column )) ? 'column ' . $widget->column : ''; ?>
                  <?php $column .= ( isset( $widget->class )) ? ' ' . $widget->class : ''; ?>
                  <?php $column  = trim( $column ); ?>
                  <div class="<?php echo $column; ?>">
                    <?php if ( isset( $widget->title ) && $widget->title ) : ?>
                      <h3 class="widget-title"> <?php echo $widget->title; ?> </h3>
                    <?php endif; ?>
										<?php dynamic_sidebar( $key ); ?>
                  </div><!-- .$class -->
                <?php endif; ?>
              <?php endforeach; ?>
              <?php if ( strpos( $class , 'columns-none' ) === false ) : ?>
                </div>
              <?php endif; ?>
            <?php else : dynamic_sidebar( $widgets ); endif; ?>
          </div><!-- .container -->
        </div><!-- $class -->
      <?php endforeach; endif; ?>
    	<?php if ( isset( $config->header->navigation ) && $config->header->navigation == 'default' ) : ?>
        <div class="site-navigation">
          <div class="container">
            <?php 
              wp_nav_menu( array(
                'theme_location' => 'primary',
                'fallback_cb'    => 'theme_menu_callback',
                'link_before'    => '',
                'link_after'     => '',
              ));
            ?>
          </div><!-- .container -->
        </div><!-- .site-navigation -->
      <?php endif; ?>
		</header><!-- .site-header -->

		<div id="content" class="site-content">
    	<?php if ( ! is_front_page( ) && $template != 'contact.php' ) : ?>
        <div class="container">
          <div class="row">
			<?php endif; ?>		