<?php

if ( ! function_exists( 'ssp_starter_shortcode_testimonial_slider' )) {
  
  function ssp_starter_shortcode_testimonial_slider( $atts , $content = null ) {
    extract( shortcode_atts( array(
      'auto' 		 			 => 1,
      'count'     		 => 0,
      'title'     		 => '',
			'href'					 => '',
			'words'					 => 0,
			'button'				 => 'View All',
			'excerpt'				 => 0,			
			'responsive' 		 => 0,
			'speed'					 => 500,
			'controls'			 => 1,
			'pager'			 		 => 0,
			'quote'					 => 0,
			'pause'					 => 10000,
			'featured_image' => 0,
			'logo'					 => '',
			'theme'					 => 'default',
    ) , $atts ));
		
		ob_start( );
		
		$args = array(
      'post_type'      => 'testimonial',
      'posts_per_page' => ( $count ) ? $count : -1,
		);
		
		if ( $featured_image ) $args[ 'meta_key' ] = '_thumbnail_id';

    $posts = new WP_Query( $args ); ?>

		<div class="testimonial-slider <?php if(is_front_page()){echo 'wow fadeInUp';} ?> <?php echo $theme; ?>">
			<?php if ( $title ) : ?>
        <h2 class="title">
        	<?php if ( $href ) : ?> <a href="<? echo get_home_url( null , $href ); ?>"> <?php endif; ?>
						<?php echo $title; ?>
          <?php if ( $href ) : ?> </a> <?php endif; ?>
        </h2>
      <?php endif; ?>
      <?php if ( $posts->have_posts( )) : ?>
      	<ul class="slider">
        	<?php while( $posts->have_posts( )) : $posts->the_post( ); ?>
          	<li class="testimonial">
            	<?php if ( $theme == 'default' ) : ?>
              <?php elseif ( $theme = 'theme-1' ) : ?>
              	<?php $content  = ( $quote ) ? '<span class="quote">&ldquo;</span>' : ''; ?>
                <?php $content .= get_the_excerpt( ); ?>
								<?php
									if ( $words ) {
										if ( str_word_count( $content , 0 ) > $words ) {
											$content  = str_word_count( $content , 2 );
											$position = array_keys( $content );
											$content 	= substr( get_the_excerpt( ) , 0 , $position[ $words ]); 						
										}
									}								                
								?>
                <?php $content .= ( $href ) ? '<a href="' . get_home_url( null , $href ) . '">[...]</a>' : ''; ?>
                <?php $content .= ( $quote ) ? '<span class="quote">&rdquo;</span>' : ''; ?>
              	<div class="content">
                	<?php echo $content; ?>
                </div>
                <?php if ( get_post_meta( get_the_ID( ) , 'client-name' , true )) : ?>
                	<h4 class="client-name">
										<?php echo get_post_meta( get_the_ID( ) , 'client-name' , true ); ?>
                  </h4>
                <?php endif; ?>
                <?php if ( get_post_meta( get_the_ID( ) , 'client-address' , true )) : ?>
                	<h5 class="client-address">
										<?php echo get_post_meta( get_the_ID( ) , 'client-address' , true ); ?>
                  </h5>
                <?php endif; ?>
              <?php endif; ?>
            </li>
          <?php endwhile; ?>
        </ul>
      <?php endif; ?>
    </div>
    <?php if ( $posts->have_posts( )) : ?>
			<script type="text/javascript">
				( function( $ ) {
					$( document ).ready( function( ) {
						$( '.testimonial-slider > ul.slider' ).bxSlider({
							auto 			: <?php echo ( $auto ) ? 'true' : 'false' ?>,
							speed		  : <?php echo $speed; ?>,
							pager 	  : <?php echo ( $pager || in_array( $theme , array( '' ))) ? 'true' : 'false' ?>,
							pause 	  : <?php echo $pause; ?>,
							controls  : <?php echo ( $controls || in_array( $theme , array( 'default' , 'theme-1' ))) ? 'true' : 'false' ?>,
						});
					});
				})( jQuery );
      </script>
    <?php endif; 

		wp_reset_postdata( );
		$output = ob_get_contents( );	
		ob_end_clean( );  
		return $output;

  }

} add_shortcode( 'testimonial-slider', 'ssp_starter_shortcode_testimonial_slider' );

?>