<?php

function sticky_form_widget( ) {

	register_widget( 'Sticky_Form_Widget' );

}

add_action( 'widgets_init' , 'sticky_form_widget' );

class Sticky_Form_Widget extends WP_Widget {

	function __construct() {

		parent::__construct( 'sticky_form_widget' , __( 'Sticky Form' , 'ssproducer' ) , array( 
			'description' => __( 'Sticky Form Widget' , 'ssproducer' )));

	}

	public function widget( $args , $instance ) {
	
		//$title = apply_filters( 'widget_title' , $instance[ 'title' ]);
		$note  = ( isset( $instance[ 'note' ])) ? $instance[ 'note' ] : '';
		$form  = ( isset( $instance[ 'form' ])) ? $instance[ 'form' ] : '';
	
		//echo $args[ 'before_widget' ];

		//if ( ! empty( $title ))
		//	echo $args['before_title'] . $title . $args[ 'after_title' ];
	
		//echo __( 'Hello, World!' , 'ssproducer' );
		//echo $args['after_widget'];
		echo '<div class="contact-us">';
		echo '<a href="#" class="handle"></a>';
		echo '<div class="content">';
		echo do_shortcode( $note );
		echo do_shortcode( '[contact-form-7 id="' . $form . '"]' );
		echo '</div>';
		echo '</div>';

	}
		
	public function form( $instance ) {

		$title = ( isset( $instance[ 'title' ])) ? $instance[ 'title' ] : '';
		$note  = ( isset( $instance[ 'note' ])) ? $instance[ 'note' ] : '';
		$form  = ( isset( $instance[ 'form' ])) ? $instance[ 'form' ] : '';

		$forms = new WP_Query( array( 'post_type' => 'wpcf7_contact_form' ));

?>

	<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>">
			<?php _e( 'Title:' ); ?>
    </label> 
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
	</p>
  <p>
  	<label for="<?php echo $this->get_field_id( 'note' ); ?>">
    	<?php _e( 'Note:' ); ?>
    </label>
		<textarea class="widefat" id="<?php echo $this->get_field_id( 'note' ); ?>" name="<?php echo $this->get_field_name( 'note' ); ?>" style="height:100px;"><?php echo esc_attr( $note ); ?></textarea>
  </p>
  <p>
  	<label for="<?php echo $this->get_field_id( 'form' ); ?>">
    	<?php _e( 'Form:' ); ?>
    </label>
    <select class="widefat" id="<?php echo $this->get_field_id( 'form' ); ?>" name="<?php echo $this->get_field_name( 'form' ); ?>">
    	<option value="0">Select Contact Form</option>
      <?php while ( $forms->have_posts( )) : $forms->the_post( ); ?>
      	<option value="<?php the_ID( ); ?>" <?php selected( get_the_ID( ) , $form ); ?>><?php the_title( ); ?></option>
      <?php endwhile; wp_reset_postdata( ); ?>
    </select>
  </p>

<?php 

	}
		
	public function update( $new_instance , $old_instance ) {

		$instance = $old_instance;

		$instance[ 'title' ] = ( ! empty( $new_instance[ 'title' ])) ? strip_tags( $new_instance[ 'title' ]) : '';
		$instance[ 'note' ]  = ( ! empty( $new_instance[ 'note' ])) ? $new_instance[ 'note' ] : '';
		$instance[ 'form' ]  = ( ! empty( $new_instance[ 'form' ])) ? $new_instance[ 'form' ] : '';

		return $instance;

	}
}