<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * e.g., it puts together the home page when no home.php file exists.
 *
 * @package WordPress
 * @subpackage SSP Starter
 * @since SSP Starter 1.0
 */

get_header( ); ?>

  <div id="primary" class="content-area column eight">
    <main id="main" class="site-main">
      <article id="post-132" class="page-content post-132 page type-page status-publish hentry">
        <header class="entry-header">
          <h1 class="entry-title"> Latest News </h1>
					<h2 class="entry-tagline"><?php printf( __( 'Search Results for: %s' , 'ssp-starter' ), get_search_query( )); ?></h2>
        </header>
      </article>			
			<?php if ( have_posts( )) : ?>
        <div class="blogs">
        <?php
      while ( have_posts( )) : the_post( );
        // Include the blog content template.
        get_template_part( 'template-parts/blog' , 'theme-1' );
      // End the loop.
      endwhile;
      
  	  ?>
        </div>
        <div class="post-links">
          <?php posts_nav_link( '' , '<span class="button"> Previous </span>' , '<span class="button"> Next </span>' ); wp_reset_query( ); ?>
        </div>       
       <?php else : ?>
       	<p> There is no article found.  </p>
       <?php endif; ?>
  
    </main><!-- .site-main -->
  </div><!-- .content-area -->

<?php

get_sidebar( ); 
get_footer( );