<?php
/**
 * The template used for displaying blog content
 *
 * Prohibit direct script loading
 ------------------------------------------------------------ */
 defined( 'ABSPATH' ) || die( );

?>

<article id="post-<?php the_ID( ); ?>" <?php post_class( 'post-content' ); ?>>
  <header class="entry-header">
    <?php $title = ( get_post_meta( get_the_ID( ) , 'post-title' , true )) ? get_post_meta( get_the_ID( ) , 'post-title' , true ) : get_the_title( ); ?>
    <h2 class="entry-title">
			<a href="<?php echo get_the_permalink( ); ?>"><?php echo $title; ?></a>
    </h2>
    <div class="post-meta single">
			<?php the_category( ); ?><span>|</span><?php echo get_the_date( 'n.j.y' ); ?>  
    </div>
    <?php if ( get_post_meta( get_the_ID( ) , 'post-tagline' , true )) : ?>
    <h2 class="entry-tagline">
			<?php echo get_post_meta( get_the_ID( ) , 'post-tagline' , true ); ?>
    </h2>
    <?php endif; ?>
		<?php if (  get_post_meta( get_the_ID( ) , 'post-video-slider' , true )) : ?>
    <div class="post-video-slider">
    	<?php echo do_shortcode( get_post_meta( get_the_ID( ) , 'post-video-slider' , true )); ?>
    </div>
		<?php elseif ( has_post_thumbnail( )) : ?>
    <div class="post-thumbnail">
			<?php the_post_thumbnail( 'full' , array( 'alt' => $title )); ?> 
    </div>
    <?php endif; ?>
  </header>
	<div class="entry-content">
		<?php the_excerpt( ); ?>
	</div><!-- .entry-content -->
</article><!-- #post-## -->
