<?php
/**
 * The template used for displaying post content
 *
 * Prohibit direct script loading
 ------------------------------------------------------------ */
 defined( 'ABSPATH' ) || die( );

?>

<article id="post-<?php the_ID( ); ?>" <?php post_class( 'post-content' ); ?>>
  <header class="entry-header">
    <?php $title = ( get_post_meta( get_the_ID( ) , 'post-title' , true )) ? get_post_meta( get_the_ID( ) , 'post-title' , true ) : get_the_title( ); ?>
    <h1 class="entry-title">
			<?php echo $title; ?>
    </h1>
    <div class="post-meta single">
			<?php the_category( ); ?><span>|</span><?php echo get_the_date( 'n.j.y' ); ?>  
    </div>
    <?php if ( get_post_meta( get_the_ID( ) , 'post-tagline' , true )) : ?>
    <h2 class="entry-tagline">
			<?php echo get_post_meta( get_the_ID( ) , 'post-tagline' , true ); ?>
    </h2>
    <?php endif; ?>
		<?php if (  get_post_meta( get_the_ID( ) , 'post-video-slider' , true )) : ?>
    <div class="post-video-slider">
    	<?php echo do_shortcode( get_post_meta( get_the_ID( ) , 'post-video-slider' , true )); ?>
    </div>
		<?php elseif ( has_post_thumbnail( )) : ?>
    <div class="post-thumbnail">
			<?php the_post_thumbnail( 'full' , array( 'alt' => $title )); ?> 
    </div>
    <?php endif; ?>
  </header>
	<div class="entry-content">
		<div class="entry">
		<?php the_content( ); ?>
		</div>
		<div class="post-links">
      <?php $previous = get_previous_post( ); ?>
      <?php if ( ! empty( $previous )): ?> <a href="<?php echo get_permalink( $previous->ID ); ?>" class="button"> Previous </a> <?php endif; ?>
      <?php $next = get_next_post( ); ?>
      <?php if ( ! empty( $next )): ?> <a href="<?php echo get_permalink( $next->ID ); ?>" class="button"> Next </a> <?php endif; ?>
		</div>    
	</div><!-- .entry-content -->
</article><!-- #post-## -->
